# DaprProtos.GetMetadataResponseOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.GetMetadataResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetMetadataResponse`, `DaprProtos.GetMetadataResponse.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.GetMetadataResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `containsExtendedMetadata​(String key)` `map<string, string> extended_metadata = 4 [json_name = "extended"];`
`DaprProtos.ActiveActorsCount` `getActiveActorsCount​(int index)` `repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`
`int` `getActiveActorsCountCount()` `repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`
`List<DaprProtos.ActiveActorsCount>` `getActiveActorsCountList()` `repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`
`DaprProtos.ActiveActorsCountOrBuilder` `getActiveActorsCountOrBuilder​(int index)` `repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`
`List<? extends DaprProtos.ActiveActorsCountOrBuilder>` `getActiveActorsCountOrBuilderList()` `repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`
`DaprProtos.AppConnectionProperties` `getAppConnectionProperties()` `.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`
`DaprProtos.AppConnectionPropertiesOrBuilder` `getAppConnectionPropertiesOrBuilder()` `.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`
`String` `getEnabledFeatures​(int index)` `repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`com.google.protobuf.ByteString` `getEnabledFeaturesBytes​(int index)` `repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`int` `getEnabledFeaturesCount()` `repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`List<String>` `getEnabledFeaturesList()` `repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`Map<String,​String>` `getExtendedMetadata()` Deprecated.
`int` `getExtendedMetadataCount()` `map<string, string> extended_metadata = 4 [json_name = "extended"];`
`Map<String,​String>` `getExtendedMetadataMap()` `map<string, string> extended_metadata = 4 [json_name = "extended"];`
`String` `getExtendedMetadataOrDefault​(String key, String defaultValue)` `map<string, string> extended_metadata = 4 [json_name = "extended"];`
`String` `getExtendedMetadataOrThrow​(String key)` `map<string, string> extended_metadata = 4 [json_name = "extended"];`
`DaprProtos.MetadataHTTPEndpoint` `getHttpEndpoints​(int index)` `repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`int` `getHttpEndpointsCount()` `repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`List<DaprProtos.MetadataHTTPEndpoint>` `getHttpEndpointsList()` `repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`DaprProtos.MetadataHTTPEndpointOrBuilder` `getHttpEndpointsOrBuilder​(int index)` `repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`List<? extends DaprProtos.MetadataHTTPEndpointOrBuilder>` `getHttpEndpointsOrBuilderList()` `repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`String` `getId()` `string id = 1;`
`com.google.protobuf.ByteString` `getIdBytes()` `string id = 1;`
`DaprProtos.RegisteredComponents` `getRegisteredComponents​(int index)` `repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`int` `getRegisteredComponentsCount()` `repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`List<DaprProtos.RegisteredComponents>` `getRegisteredComponentsList()` `repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`DaprProtos.RegisteredComponentsOrBuilder` `getRegisteredComponentsOrBuilder​(int index)` `repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`List<? extends DaprProtos.RegisteredComponentsOrBuilder>` `getRegisteredComponentsOrBuilderList()` `repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`String` `getRuntimeVersion()` `string runtime_version = 8 [json_name = "runtimeVersion"];`
`com.google.protobuf.ByteString` `getRuntimeVersionBytes()` `string runtime_version = 8 [json_name = "runtimeVersion"];`
`DaprProtos.PubsubSubscription` `getSubscriptions​(int index)` `repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`int` `getSubscriptionsCount()` `repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`List<DaprProtos.PubsubSubscription>` `getSubscriptionsList()` `repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`DaprProtos.PubsubSubscriptionOrBuilder` `getSubscriptionsOrBuilder​(int index)` `repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`List<? extends DaprProtos.PubsubSubscriptionOrBuilder>` `getSubscriptionsOrBuilderList()` `repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`boolean` `hasAppConnectionProperties()` `.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getId

    String getId()

`string id = 1;`

Returns:
  The id.

#### getIdBytes

    com.google.protobuf.ByteString getIdBytes()

`string id = 1;`

Returns:
  The bytes for id.

#### getActiveActorsCountList

    List<DaprProtos.ActiveActorsCount> getActiveActorsCountList()

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`

#### getActiveActorsCount

    DaprProtos.ActiveActorsCount getActiveActorsCount​(int index)

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`

#### getActiveActorsCountCount

    int getActiveActorsCountCount()

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`

#### getActiveActorsCountOrBuilderList

    List<? extends DaprProtos.ActiveActorsCountOrBuilder> getActiveActorsCountOrBuilderList()

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`

#### getActiveActorsCountOrBuilder

    DaprProtos.ActiveActorsCountOrBuilder getActiveActorsCountOrBuilder​(int index)

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors"];`

#### getRegisteredComponentsList

    List<DaprProtos.RegisteredComponents> getRegisteredComponentsList()

`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

#### getRegisteredComponents

    DaprProtos.RegisteredComponents getRegisteredComponents​(int index)

`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

#### getRegisteredComponentsCount

    int getRegisteredComponentsCount()

`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

#### getRegisteredComponentsOrBuilderList

    List<? extends DaprProtos.RegisteredComponentsOrBuilder> getRegisteredComponentsOrBuilderList()

`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

#### getRegisteredComponentsOrBuilder

    DaprProtos.RegisteredComponentsOrBuilder getRegisteredComponentsOrBuilder​(int index)

`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

#### getExtendedMetadataCount

    int getExtendedMetadataCount()

`map<string, string> extended_metadata = 4 [json_name = "extended"];`

#### containsExtendedMetadata

    boolean containsExtendedMetadata​(String key)

`map<string, string> extended_metadata = 4 [json_name = "extended"];`

#### getExtendedMetadata

    @Deprecated
    Map<String,​String> getExtendedMetadata()

Deprecated.
Use `getExtendedMetadataMap()` instead.

#### getExtendedMetadataMap

    Map<String,​String> getExtendedMetadataMap()

`map<string, string> extended_metadata = 4 [json_name = "extended"];`

#### getExtendedMetadataOrDefault

    String getExtendedMetadataOrDefault​(String key,
                                        String defaultValue)

`map<string, string> extended_metadata = 4 [json_name = "extended"];`

#### getExtendedMetadataOrThrow

    String getExtendedMetadataOrThrow​(String key)

`map<string, string> extended_metadata = 4 [json_name = "extended"];`

#### getSubscriptionsList

    List<DaprProtos.PubsubSubscription> getSubscriptionsList()

`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

#### getSubscriptions

    DaprProtos.PubsubSubscription getSubscriptions​(int index)

`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

#### getSubscriptionsCount

    int getSubscriptionsCount()

`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

#### getSubscriptionsOrBuilderList

    List<? extends DaprProtos.PubsubSubscriptionOrBuilder> getSubscriptionsOrBuilderList()

`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

#### getSubscriptionsOrBuilder

    DaprProtos.PubsubSubscriptionOrBuilder getSubscriptionsOrBuilder​(int index)

`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

#### getHttpEndpointsList

    List<DaprProtos.MetadataHTTPEndpoint> getHttpEndpointsList()

`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

#### getHttpEndpoints

    DaprProtos.MetadataHTTPEndpoint getHttpEndpoints​(int index)

`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

#### getHttpEndpointsCount

    int getHttpEndpointsCount()

`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

#### getHttpEndpointsOrBuilderList

    List<? extends DaprProtos.MetadataHTTPEndpointOrBuilder> getHttpEndpointsOrBuilderList()

`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

#### getHttpEndpointsOrBuilder

    DaprProtos.MetadataHTTPEndpointOrBuilder getHttpEndpointsOrBuilder​(int index)

`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

#### hasAppConnectionProperties

    boolean hasAppConnectionProperties()

`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`

Returns:
  Whether the appConnectionProperties field is set.

#### getAppConnectionProperties

    DaprProtos.AppConnectionProperties getAppConnectionProperties()

`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`

Returns:
  The appConnectionProperties.

#### getAppConnectionPropertiesOrBuilder

    DaprProtos.AppConnectionPropertiesOrBuilder getAppConnectionPropertiesOrBuilder()

`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`

#### getRuntimeVersion

    String getRuntimeVersion()

`string runtime_version = 8 [json_name = "runtimeVersion"];`

Returns:
  The runtimeVersion.

#### getRuntimeVersionBytes

    com.google.protobuf.ByteString getRuntimeVersionBytes()

`string runtime_version = 8 [json_name = "runtimeVersion"];`

Returns:
  The bytes for runtimeVersion.

#### getEnabledFeaturesList

    List<String> getEnabledFeaturesList()

`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Returns:
  A list containing the enabledFeatures.

#### getEnabledFeaturesCount

    int getEnabledFeaturesCount()

`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Returns:
  The count of enabledFeatures.

#### getEnabledFeatures

    String getEnabledFeatures​(int index)

`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The enabledFeatures at the given index.

#### getEnabledFeaturesBytes

    com.google.protobuf.ByteString getEnabledFeaturesBytes​(int index)

`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the enabledFeatures at the given index.